/*
 *
 *   This program may be distributed under the GNU Public License
 *   version 2, as published by the Free Software Foundation, Inc.,
 *   59 Temple Place, Suite 330 Boston, MA, 02111.
 *
 */

#include <linux/version.h>
#include <linux/types.h>
#include <linux/module.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/errno.h>
#include <linux/fs.h>

#define MAJOR_NR 177
void quit(void);
int __init startup(void);
static int dummy(struct inode *ip, struct file *fp);
static struct file_operations fa;

MODULE_LICENSE("GPL");
MODULE_VERSION("12345");

//MODULE_LICENSE("Public domain");
static const char name[]="Octrangle Contrabulator(tm)";

static int dummy(struct inode *ip, struct file *fp)
{
    return 0;
}

void quit()
{
    int ret;

    if((ret = unregister_chrdev(MAJOR_NR, name)) <0)
    {
        printk(KERN_ALERT"%s : Can't unregister the damn thing (%d)\n", name, ret);
        return;
    }
    printk(KERN_INFO"%s : Removed\n", name);
}

int __init startup()
{
    int ret;
    fa.owner   = THIS_MODULE;
    fa.open    = dummy;
    fa.release = dummy;
    if((ret = register_chrdev(MAJOR_NR, name, &fa)) <0)
    {
        printk(KERN_ALERT"%s : Can't register the damn thing\n", name);
        return ret;
    }
    printk(KERN_INFO"%s : Installed\n", name);
    return 0;
}
module_exit(quit);
module_init(startup);


